<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetValue Method (IEdmVariableValue5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableValue5 Interface : GetValue Method (IEdmVariableValue5)

Visual Basic
C#
C++/CLI

bsConfiguration
  Name of configuration for which to get the value; "" for folders and file types that do not support multiple configurations

Gets the value of this variable in the specified configuration.

# Syntax

Visual Basic |
--- | ---

    Function GetValue( _
       ByVal bsConfiguration As System.String _
    ) As System.Object

C# |
--- | ---

    System.object GetValue(
       System.string bsConfiguration
    )

C++/CLI |
--- | ---

    System.Object^ GetValue(
    &   System.String^ bsConfiguration
    )

#### Parameters

bsConfiguration
  Name of configuration for which to get the value; "" for folders and file types that do not support multiple configurations

#### Return Value

Value of the variable

# Example

See the IEdmVariableValue5 examples.

# Remarks

C++ users should use VariantInit and VariantClear to handle the VARIANT struct properly.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: No value exists for the specified configuration.

# See Also

####

IEdmVariableValue5 Interface
IEdmVariableValue5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2